View Issue Details

IDProjectCategoryView StatusLast Update
0034623LazarusLCLpublic2018-12-04 16:51
ReporterKarl-Michael SchindlerAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformdarwinOSMac OS XOS Version10.5, 10.6
Product Version2.0RC2Product Build59700 
Target VersionFixed in Version2.0 
Summary0034623: 59700 breaks building
Description59700 breaks building:

Lazarus-2.0/components/printers/./cocoa/cocoaprinters.inc(106,36) Error: (5038) identifier idents no member "lclCGContext"
Steps To Reproducemake bigide LCL_PLATFORM=cocoa
TagsNo tags attached.
Fixed in Revision59723
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Maxim Ganetsky

2018-12-03 23:24

developer   ~0112339

I unmerged offending changes. Please test and close if OK.

Karl-Michael Schindler

2018-12-04 16:50

reporter   ~0112355

I can confirm the fix with a test at revision 59726.

Karl-Michael Schindler

2018-12-04 16:51

reporter   ~0112356

Thank you.

Issue History

Date Modified Username Field Change
2018-11-30 17:14 Karl-Michael Schindler New Issue
2018-12-03 23:24 Maxim Ganetsky Fixed in Revision => 59723
2018-12-03 23:24 Maxim Ganetsky LazTarget => -
2018-12-03 23:24 Maxim Ganetsky Note Added: 0112339
2018-12-03 23:24 Maxim Ganetsky Status new => resolved
2018-12-03 23:24 Maxim Ganetsky Fixed in Version => 2.0
2018-12-03 23:24 Maxim Ganetsky Resolution open => fixed
2018-12-03 23:24 Maxim Ganetsky Assigned To => Maxim Ganetsky
2018-12-04 16:50 Karl-Michael Schindler Note Added: 0112355
2018-12-04 16:51 Karl-Michael Schindler Note Added: 0112356
2018-12-04 16:51 Karl-Michael Schindler Status resolved => closed